pearl-tools.ipf File Reference
`#include "pearl-gui-tools"`

Go to the source code of this file.

## Functions

variable | DefaultWaveIterator (wave w, string *sdata)
variable | AppendToGraphIterator (wave w, string *sdata)
variable | SumWavesIterator (wave w, string *sdata)
string | IterateWaves (string matchStr, funcref iterator, string sdata)
variable | DefaultFolderIterator (dfref df, string *sdata)
string | IterateDataFolders (string matchStr, funcref iterator, string sdata, string progress_title=defaultValue)

## Function Documentation

## AppendToGraphIterator()

variable AppendToGraphIterator | ( | wave | w,
|  | string * | sdata
| ) |  |

Definition at line 26 of file pearl-tools.ipf.

## DefaultFolderIterator()

variable DefaultFolderIterator | ( | dfref | df,
|  | string * | sdata
| ) |  |

Definition at line 65 of file pearl-tools.ipf.

## DefaultWaveIterator()

variable DefaultWaveIterator | ( | wave | w,
|  | string * | sdata
| ) |  |

Definition at line 18 of file pearl-tools.ipf.

## IterateDataFolders()

string IterateDataFolders | ( | string | matchStr,
|  | funcref | iterator,
|  | string | sdata,
|  | string | progress_title = `defaultValue`
| ) |  |

Definition at line 79 of file pearl-tools.ipf.

## IterateWaves()

string IterateWaves | ( | string | matchStr,
|  | funcref | iterator,
|  | string | sdata
| ) |  |

Definition at line 45 of file pearl-tools.ipf.

## SumWavesIterator()

variable SumWavesIterator | ( | wave | w,
|  | string * | sdata
| ) |  |

Definition at line 34 of file pearl-tools.ipf.